//`include "xor.h"

module my_xor(out,in1,in2);
output out;
input in1,in2;
reg out;

always @(in1 or in2)
case (in1 == in2)
	1'b0 : out = 1'b1;
	1'b1 : out = 1'b0;
	1'bx : out = 1'bx;
	default : out = 1'bx;
endcase

endmodule	
